
%define rel 1
%define cvs	cvs20070416

%define release %mkrel 0.%cvs.%rel

%define name    linuxsampler
%define version 0.4.0.4

%define libmajor       0
%define libname        %mklibname linuxsampler %{libmajor}

Summary: Linux Sampler
Name: %name
Version: %version
Release: %release
License: GPL
Group: Sound
URL: http://www.linuxsampler.org/
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}.png
Patch0: linuxsampler-0.3.2-gcc4.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgig-devel
BuildRequires: libalsa-devel
BuildRequires: libjack-devel
BuildRequires:	libsqlite-devel
BuildRequires:	sqlite3-tools
Requires:	libgig >= 2.0.2
Requires:	%{libname} = %{version}-%{release}

%description
LinuxSampler is a work in progress. The goal is to produce a free,
open source pure software audio sampler with professional grade
features, comparable to both hardware and commercial Windows/Mac
software samplers and to introduce new features not yet available
by any other sampler in the world.

LinuxSampler was designed as a sampler backend, decoupled from any
user interface. It provides a network interface using an ASCII based
protocol called LSCP for full control of the sampler like for setup
and altering sampler sessions. But don't be afraid, with QSampler we
already have a convenient GUI frontend (based on the cross-platform
GUI library Qt) for LinuxSampler and due to the decoupled design you
can even control the sampler with the GUI frontend from another
computer, probably even running another OS like Windows or OSX.
Beside our own custom network control layer we planned to add
existing ones as well (e.g. OSC). With the planned SMP and cluster
support LinuxSampler might become a standard for high-end studios
and concerts.

It is planned to support all common sampler formats in LinuxSampler,
but at the moment we chose to concentrate on the Gigasampler format,
because we think it's currently the best sampler format in regards
of quality and power, especially for the synthesis of natural
instruments like pianos, brass and bowed instruments.
But we already made good advance in implementing this format, so we
are optimistic to start with adding other formats soon. Beside that
we also planned to design our own, sophisticated sampler format to
introduce a more powerful and more flexible sampler format compared
to any sampler format currently available in the world. Be encouraged
to share your ideas about such a new format with us!

%package -n %{libname}
Summary:	Linux Sampler library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
Linux Sampler library

%package -n %{libname}-devel
Summary: Linux Sampler library
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Linux Sampler library

%prep
%setup -q -n %{name}
#%patch0 -p1
if [ -f Makefile.cvs ]; then make -f Makefile.cvs; fi

%build
# add sse flags, gcc4 needs that for clobbered registers in asm
#perl -p -i -e "s|-m32 |-m32 -msse |g" src/engines/gig/Makefile

%configure2_5x
[ -f Makefile.cvs ] && %__make parser

%__sed -i -e 's|/var/lib/linuxsampler|%{buildroot}/var/lib/linuxsampler|g' \
	Makefile

%make

%install
rm -rf %{buildroot}
%makeinstall

install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%name.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=LinuxSampler
Comment=LinuxSampler - modular, streaming capable sampler
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;
EOF

# icons
install -d -m755 %buildroot/%{_miconsdir} %buildroot/%{_iconsdir} %buildroot/%{_liconsdir}
convert %{SOURCE1} -resize 16x16 %buildroot/%{_miconsdir}/%name.png
convert %{SOURCE1} -resize 32x32 %buildroot/%{_iconsdir}/%name.png
convert %{SOURCE1} -resize 48x48 %buildroot/%{_liconsdir}/%name.png

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{SOURCE1} \
	%{buildroot}%{_datadir}/pixmaps

# ld.so.conf.d
install -d -m755 %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/%{name}" > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}.conf

%clean
rm -rf %{buildroot}


%post -n %libname
/sbin/ldconfig
%postun -n %libname
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png

%files -n %{libname}
%defattr(-,root,root)
%{_sysconfdir}/ld.so.conf.d/%{name}.conf
%{_libdir}/%{name}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc Documentation/*
#%doc doc/html/*
%{_includedir}/*
%{_libdir}/%{name}/*.a
%{_libdir}/%{name}/*.la
%{_libdir}/%{name}/*.so
%{_libdir}/%{name}/include/*.h
%{_libdir}/pkgconfig/%{name}.pc
/var/lib/linuxsampler/instruments.db

%changelog
* Thu Apr 26 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5.3-0.cvs20070416.1
- 0.5.3-cvs2007041

* Mon Oct 03 2005 Torbjorn Turpeinen tobbe@nyvalls.se> 0.3.3-1.pclo2005.thac
- Rebuilt for PCLinuxOs 2005
- 0.3.3

* Sun Jul  3 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added gcc4 patch, posted by Andreas Persson in the linuxsampler
  mailing list
* Fri Jul  1 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added sse flags to gig engine build
* Wed Jun 29 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.2-1
- updated to 0.3.2
* Thu May 26 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.1-1
- updated to official 0.3.1 release (from cvs)
* Thu Jan 20 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2004.01.20
- initial build.
